# Class: MissingFatArrows

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/missing_fat_arrows.coffee

## Variables Summary

rule =

      {
        name: 'missing_fat_arrows',
        level: 'ignore',
        message: 'Used `this` in a function without a fat arrow',
        description: "Warns when you use `this` inside a function that wasn't defined\nwith a fat arrow. This rule does not apply to methods defined in a\nclass, since they have `this` bound to the class instance (or the\nclass itself, for class methods).\n\nIt is impossible to statically determine whether a function using\n`this` will be bound with the correct `this` value due to language\nfeatures like `Function.prototype.call` and\n`Function.prototype.bind`, so this rule may produce false positives."
      }

## Instance Method Summary

- # (void) lintAST(node, astApi)
- # (void) lintNode(node, methods = [])
- # (void) isCode(node) Bound
- # (void) isClass(node) Bound
- # (void) isValue(node) Bound
- # (void) isObject(node) Bound
- # (void) isThis(node) Bound
- # (void) isFatArrowCode(node) Bound
- # (void) needsFatArrow(node)
- # (void) methodsOfClass(classNode)

## Instance Method Details

# (void) lintAST(node, astApi)

# (void) lintNode(node, methods = [])

# (void) isCode(node) Bound

# (void) isClass(node) Bound

# (void) isValue(node) Bound

# (void) isObject(node) Bound

# (void) isThis(node) Bound

# (void) isFatArrowCode(node) Bound

# (void) needsFatArrow(node)

# (void) methodsOfClass(classNode)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input